summaryrefslogtreecommitdiff
path: root/tests/rm/f-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/f-1')
-rwxr-xr-xtests/rm/f-16
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/rm/f-1 b/tests/rm/f-1
index 4e72f575c..fef5f90ce 100755
--- a/tests/rm/f-1
+++ b/tests/rm/f-1
@@ -8,12 +8,12 @@ if test "$VERBOSE" = yes; then
fi
pwd=`pwd`
-tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
test_failure=0
-mkdir $tmp || test_failure=1
+mkdir -p $tmp || test_failure=1
if test $test_failure = 1; then
echo 'failure in testing framework'